Subject: [v6ops] Test for adoption as a working group document - Re: I-D Action: draft-binet-v6ops-cellular-host-requirements-02.txt

From: joel jaeggli <[email-masked]>
Date: Wed, 30 Jan 2013 11:19:25 -0800

Greetings,

This kicks of a request for adoption as a working group document on 
draft-binet-v6ops-cellular-host-requirements-02.txt

This document and a similar one were discussed during IETF 85 and were 
updated accordingly. Support was far from unanimous at the time and 
we're interested in seeing how far it has progressed.

The deadline for this discussion phase is two weeks from today, 2/13.

thanks
joelja

On 1/30/13 4:28 AM, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>
>
> 	Title           : Internet Protocol Version 6 (IPv6) Requirements for Cellular Hosts
> 	Author(s)       : David Binet
>                            Mohamed Boucadair
>                            Ales Vizdal
>                            Cameron Byrne
>                            Gang Chen
> 	Filename        : draft-binet-v6ops-cellular-host-requirements-02.txt
> 	Pages           : 17
> 	Date            : 2013-01-30
>
> Abstract:
>     This document lists a set of IPv6-related requirements to be
>     supported by cellular hosts.
>
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-binet-v6ops-cellular-host-requirements
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-binet-v6ops-cellular-host-requirements-02
>
> A diff from the previous version is available at:
> http://www.ietf.org/rfcdiff?url2=draft-binet-v6ops-cellular-host-requirements-02
>
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Lorenzo Colitti <[email-masked]>
Date: Thu, 31 Jan 2013 09:55:46 +0900

On Thu, Jan 31, 2013 at 4:19 AM, joel jaeggli <[email-masked]> wrote:

> draft-binet-v6ops-cellular-**host-requirements-02.txt
>
> updated accordingly. Support was far from unanimous at the time and we're
> interested in seeing how far it has progressed.
>

I do not support WG adoption of this document.

The way I see it, the document's goal is not to define operational
practices, but to define a device profile ("you must support features X, Y,
and Z"). I think this sort of thing does not belong in the IETF: the IETF
should define the technology, not how it's integrated. I think this sort of
thing is best left to cellular standards bodies like 3GPP.

---

From: Mikael Abrahamsson <[email-masked]>
Date: Thu, 31 Jan 2013 06:19:08 +0100 (CET)

On Thu, 31 Jan 2013, Lorenzo Colitti wrote:

> practices, but to define a device profile ("you must support features X, 
> Y, and Z"). I think this sort of thing does not belong in the IETF: the 
> IETF should define the technology, not how it's integrated. I think this 
> sort of thing is best left to cellular standards bodies like 3GPP.

I find this device profile very useful for including in RFQ/RFI document.

Whether it's correct to have it worked through the IETF or not is not is 
another matter, but this kind of document is definitely worthwile to have.

I believe it's not wrong for the IETF should have a say in this, to 
re-affirm that the IETF confirms what it feels is crucial for a device 
that is going to be used on the Internet, especially together with a lot 
of migration mechanisms now that we're trying to go from IPv4 to IPv6.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Philipp Kern <[email-masked]>
Date: Thu, 31 Jan 2013 12:57:26 +0100

Lorenzo,

> thing is best left to cellular standards bodies like 3GPP.

*cough* RFC 6540. ;-)

Kind regards
Philipp Kern

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 31 Jan 2013 14:47:06 +0100

HEllo,

This draft had a competitor in the same space IIRC?  What was the name
of that draft?

In this draft, there is a section about which I have high interest -
"4. Cellular Devices with LAN Capabilities".  This approaches very much
to what an IPv6 Mobile Router is, whose one particular interface is
cellular and others are LAN.

In this respect, implementing an IPv6 Mobile Router there are several
possibilities and each may have an impact on that cellular interface.

For example, the use of Prefix Delegation has an impact on the cellular
interface - and that is already said as REQ#27.

But there are others.  For example, the use of IPv6 Network Prefix
Translation, or, not least, the use of Mobile IPv6 (with NEMO extensions
if possible).  This latter is all the more important since it is
mentioned in the IPv6 Node Requirements document, and this draft also
mentions that in addition to the cellular interface there is a WiFi
interface - only Mobile IPv6 is able to make handovers between the two
interfaces.

Regards,

Alex

Le 30/01/2013 20:19, joel jaeggli a écrit :
> This document and a similar one were discussed during IETF 85 and
> were updated accordingly. Support was far from unanimous at the time
> and we're interested in seeing how far it has progressed.
>
> thanks joelja
>> Title           : Internet Protocol Version 6 (IPv6) Requirements
>> for Cellular Hosts Author(s)       : David Binet Mohamed Boucadair
>> Ales Vizdal Cameron Byrne Gang Chen Filename        :
>> draft-binet-v6ops-cellular-host-requirements-02.txt Pages
>> : 17 Date            : 2013-01-30
>>
>> Abstract: This document lists a set of IPv6-related requirements to
>> be supported by cellular hosts.
>>
>>
>>
>> _______________________________________________ I-D-Announce
>> mailing list [email-masked]
>> https://www.ietf.org/mailman/listinfo/i-d-announce Internet-Draft
>> directories: http://www.ietf.org/shadow.html or
>> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>
> _______________________________________________ v6ops mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/v6ops
>
>

---

From: Warren Kumari <[email-masked]>
Date: Thu, 31 Jan 2013 09:30:02 -0500

On Jan 31, 2013, at 12:19 AM, Mikael Abrahamsson <[email-masked]> wrote:

>> The way I see it, the document's goal is not to define operational practices, but to define a device profile ("you must support features X, Y, and Z"). I think this sort of thing does not belong in the IETF: the IETF should define the technology, not how it's integrated. I think this sort of thing is best left to cellular standards bodies like 3GPP.
> 
> Whether it's correct to have it worked through the IETF or not is not is another matter, but this kind of document is definitely worthwile to have.

I agree that this would be a useful doc, but I don't think it is a good fit for the IETF / don't think the IETF is a good fit for it.

> 
> I believe it's not wrong for the IETF should have a say in this, to re-affirm that the IETF confirms what it feels is crucial for a device that is going to be used on the Internet, especially together with a lot of migration mechanisms now that we're trying to go from IPv4 to IPv6.

Seems reasonable, but to me this document reads much more like a certification profile. It could simply be the fact that it is a list of requirements (filled with MUSTs), with no real justification for each / a discussion of under what cases you can simply ignore the MUSTs.

For example:
REQ#33:  Applications MUST be independent of the underlying IP
          address family.

If I make a widget that conforms to this profile and then some user loads an app that only runs on v6 (or v4) does someone come and pull off the sticker that says "Whee, device is compliant with RFC xxxx"?

W

> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
> 

--
Some people are like Slinkies......Not really good for anything but they still bring a smile to your face when you push them down the stairs.

---

From: james woodyatt <[email-masked]>
Date: Thu, 31 Jan 2013 10:54:43 -0800

On Jan 30, 2013, at 11:19 , joel jaeggli <[email-masked]> wrote:
> 
> This kicks of a request for adoption as a working group document on draft-binet-v6ops-cellular-host-requirements-02.txt

I'm going to echo the sentiments of others by questioning whether 3GPP would be a better venue than IETF for defining this sort of device profile.

As a supporting argument, I would point out that this draft uses RFC 2119 normative keywords while asserting that it is Informational category. That makes it a bit peculiar in the same way that an early draft of what became RFC 6092 was peculiar, which entailed adding section 1.2 during working group deliberations.

>> 1.2.  Use of Normative Keywords
>> 
>>       NOTE WELL: This document is not a standard, and conformance with
>>       it is not required in order to claim conformance with IETF
>>       standards for IPv6.  It uses the normative keywords defined in the
>>       previous section only for precision.

We added that language because there were several different standards bodies that were interested in having a baseline of IETF consensus defined about what sorts of requirements are a reasonable starting point, and we were hoping to facilitate all those external organizations at once in setting requirements standards that could reference an IETF document in common with specific amendments applicable in their own domains.

The way I see it, there is no need for IETF to do that in this case. There is only one standards body with an ambit that covers the topic of this draft, i.e. 3GPP, and it would be a much better fit for this work to be done there.

--
james woodyatt <[email-masked]>
core os networking

---

From: Cameron Byrne <[email-masked]>
Date: Thu, 31 Jan 2013 11:05:38 -0800

> The way I see it, there is no need for IETF to do that in this case. There is only one standards body with an ambit that covers the topic of this draft, i.e. 3GPP, and it would be a much better fit…

So, i cannot speak for others, but i will not be doing this work in 3GPP.

Keep in mind, 3GPP is not an open standards group.

CB

---

From: Warren Kumari <[email-masked]>
Date: Thu, 31 Jan 2013 16:31:06 -0500

> Keep in mind, 3GPP is not an open standards group.

Hmm…. Ok, good point…

When I wrote that I though that this should be done somewhere else, I didn't actually stop and figure out *where* else…

If the choice is between it being adopted by v6ops or just not being published, then I (somewhat reluctantly) support adoption.
I still think that it will need some more fleshing out, but that can be done by the WG (if it chooses to adopt, etc blah blah blah…)

W

-- 
No man is an island, But if you take a bunch of dead guys and tie them together, they make a pretty good raft.
                --Anon.